Index: trunk/source/visualization/FukuiRenderer/src/G4DAWNFILEViewer.cc
===================================================================
--- trunk/source/visualization/FukuiRenderer/src/G4DAWNFILEViewer.cc	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/src/G4DAWNFILEViewer.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4DAWNFILEViewer.cc,v 1.20 2006/06/29 21:16:54 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4DAWNFILEViewer.cc,v 1.21 2010/11/11 01:13:42 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // Satoshi TANAKA
@@ -42,4 +42,5 @@
 #include <assert.h>
 
+#include "G4VisManager.hh"
 #include "G4Scene.hh"
 #include "G4Vector3D.hh"
@@ -101,5 +102,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4DAWNFILEViewer::SetView(): No effects" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** G4DAWNFILEViewer::SetView(): No effects" << G4endl;
 #endif 
 // Do nothing, since DAWN is running as a different process.
@@ -113,5 +115,6 @@
 {
 #if defined DEBUG_FR_VIEW
-	G4cerr << "***** G4DAWNFILEViewer::ClearView (): No effects " << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** G4DAWNFILEViewer::ClearView (): No effects " << G4endl;
 #endif
 	if (fSceneHandler.fPrimDest.IsOpen()) {
@@ -130,5 +133,6 @@
 {
 #if defined DEBUG_FR_VIEW
-	G4cerr << "***** G4DAWNFILEViewer::DrawView () " << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** G4DAWNFILEViewer::DrawView () " << G4endl;
 #endif
 		//----- 
@@ -149,5 +153,6 @@
 {
 #if defined DEBUG_FR_VIEW
-	G4cerr << "***** G4DAWNFILEViewer::ShowView () " << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** G4DAWNFILEViewer::ShowView () " << G4endl;
 #endif
 
@@ -204,5 +209,5 @@
 ///////////////////////
 //#if defined DEBUG_FR_VIEW
-//  G4cerr << "***** G4DAWNFILEViewer::SendDrawingStyleToDAWNGUI()" << G4endl;
+//  G4cout << "***** G4DAWNFILEViewer::SendDrawingStyleToDAWNGUI()" << G4endl;
 //#endif
 //////////////////////
@@ -242,6 +247,8 @@
 
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4DAWNFILEViewer::SendViewParameters()  "; 
-  G4cerr << "(GUI parameters)" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+    G4cout << "***** G4DAWNFILEViewer::SendViewParameters()  "; 
+    G4cout << "(GUI parameters)" << G4endl;
+  }
 #endif 
 
@@ -271,6 +278,8 @@
 
 	if ( camera_distance < radius ) { 
-		G4cerr << "WARNING from DAWNFILE driver:" << G4endl;
-		G4cerr << "  Camera cannot enter inside objects"      << G4endl;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+		G4cout << "WARNING from DAWNFILE driver:" << G4endl;
+		G4cout << "  Camera cannot enter inside objects"      << G4endl;
+	  }
 		camera_distance = radius ; 
 	}
Index: trunk/source/visualization/FukuiRenderer/src/G4FRClientServer.cc
===================================================================
--- trunk/source/visualization/FukuiRenderer/src/G4FRClientServer.cc	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/src/G4FRClientServer.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4FRClientServer.cc,v 1.6 2006/06/29 21:16:56 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4FRClientServer.cc,v 1.7 2010/11/11 01:13:42 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // Satoshi TANAKA, Wed Jul  3 14:14:29 JST 1996
@@ -38,4 +38,5 @@
 //=================//
 
+#include "G4VisManager.hh"
 #include "G4FRClientServer.hh"
 
@@ -119,5 +120,6 @@
 
 #if defined DEBUG_CLIENT_SERVER
-	G4cerr << ">>>>> receivedMessage = " << fReceivedMessage << G4endl;
+	if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	  G4cout << ">>>>> receivedMessage = " << fReceivedMessage << G4endl;
 #endif
 
@@ -150,5 +152,6 @@
 
 #if defined DEBUG_CLIENT_SERVER
-	G4cerr << "<<<<< SentMessage = " << fSendingMessage << G4endl;
+	if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	  G4cout << "<<<<< SentMessage = " << fSendingMessage << G4endl;
 #endif
 
@@ -255,5 +258,6 @@
 
 // #if defined DEBUG_CLIENT_SERVER
-	G4cerr << "***** Trying connection to  " << server_hostname << G4endl;
+	if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	  G4cout << "***** Trying connection to  " << server_hostname << G4endl;
 // #endif 
 	
Index: trunk/source/visualization/FukuiRenderer/src/G4FukuiRenderer.cc
===================================================================
--- trunk/source/visualization/FukuiRenderer/src/G4FukuiRenderer.cc	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/src/G4FukuiRenderer.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4FukuiRenderer.cc,v 1.9 2006/06/29 21:16:58 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4FukuiRenderer.cc,v 1.10 2010/11/11 01:13:42 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
@@ -43,4 +43,5 @@
 #define __G_ANSI_C__
 
+#include "G4VisManager.hh"
 //#include "G4VisFeaturesOfFukuiRenderer.hh"
 #include "G4VSceneHandler.hh"
@@ -114,5 +115,6 @@
 
 #if defined DEBUG_FR_SYSTEM
-	G4cerr << "***** Unix Inet Domain (AUTO mode)" << G4endl;
+	if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	  G4cout << "***** Unix Inet Domain (AUTO mode)" << G4endl;
 #endif
 	fIPMode = G4FukuiRenderer::IP_UNIX ;
@@ -144,9 +146,12 @@
 
 	if(!flag_connected) { 
-	  G4cerr << "***** ERROR: Connection failed" << G4endl; 
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	    G4cout << "***** ERROR: Connection failed" << G4endl; 
 	}
 	else { 
-	  G4cerr << "***** GEANT4 is connected to FukuiRenderer DAWN ";
-	  G4cerr << "in the same host" << G4endl; 
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+	    G4cout << "***** GEANT4 is connected to FukuiRenderer DAWN ";
+	    G4cout << "in the same host" << G4endl; 
+	  }
 	}
 
@@ -159,5 +164,6 @@
 {
 #if defined DEBUG_FR_SYSTEM
-	G4cerr << "***** INET Domain " << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** INET Domain " << G4endl;
 #endif
 	fIPMode = G4FukuiRenderer::IP_INET ;
@@ -166,9 +172,12 @@
 
 	if(!flag_connected) {
-	  G4cerr << "***** ERROR: Connection failed" << G4endl; 
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	    G4cout << "***** ERROR: Connection failed" << G4endl; 
 	}
 	else { 
-	  G4cerr << "GEANT4 is connected to FukuiRenderer DAWN via socket" ; 
-	  G4cerr << G4endl; 
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+	    G4cout << "GEANT4 is connected to FukuiRenderer DAWN via socket" ; 
+	    G4cout << G4endl; 
+	  }
 	}
 
@@ -183,8 +192,10 @@
     if ( ++connect_trial > max_port_incr ) {
 	this->flag_connected = 0 ;
-	G4cerr << "***** INET Connection failed."                << G4endl;
-	G4cerr << "      Maybe, you have not invoked DAWN yet,"  << G4endl;
-	G4cerr << "      or too many DAWN's are already running" << G4endl;
-	G4cerr << "      in the server host."                    << G4endl;
+	if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+	  G4cout << "***** INET Connection failed."                << G4endl;
+	  G4cout << "      Maybe, you have not invoked DAWN yet,"  << G4endl;
+	  G4cout << "      or too many DAWN's are already running" << G4endl;
+	  G4cout << "      in the server host."                    << G4endl;
+	}
 	fPrimDest.IncrementPortNumber( (- FR_MAX_PORT_INCR) );
 	return ;
@@ -192,7 +203,9 @@
 	    // INET domain connection is established
 	this->flag_connected = 1 ;
-	G4cerr << "***** GEANT4 is connected to port  " ;
-	G4cerr << fPrimDest.GetPortNumber() ; 
-	G4cerr << "  of server" << G4endl;
+	if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+	  G4cout << "***** GEANT4 is connected to port  " ;
+	  G4cout << fPrimDest.GetPortNumber() ; 
+	  G4cout << "  of server" << G4endl;
+	}
 	break ; 
     } else { 
@@ -200,6 +213,8 @@
       this->flag_connected = 0 ;
       fPrimDest.IncrementPortNumber();
-      G4cerr << "***** GEANT4 incremented targeting port to " ;
-      G4cerr << fPrimDest.GetPortNumber() << G4endl;
+      if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+	G4cout << "***** GEANT4 incremented targeting port to " ;
+	G4cout << fPrimDest.GetPortNumber() << G4endl;
+      }
 
     } // if-elseif-else
@@ -215,5 +230,6 @@
 
 #if defined DEBUG_FR_SYSTEM
-	G4cerr << "***** UseBSDUnixDomainAuto " << G4endl;
+	if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	  G4cout << "***** UseBSDUnixDomainAuto " << G4endl;
 #endif
 	fIPMode = G4FukuiRenderer::IP_UNIX ; // Unix domain
@@ -241,8 +257,11 @@
 			//----- display status
 		if(!flag_connected) {
-		  G4cerr << "***** ERROR: Connection failed" << G4endl; 
+		  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		    G4cout << "***** ERROR: Connection failed" << G4endl; 
 		} else { 
-		  G4cerr << "*** GEANT4 is connected to FukuiRenderer DAWN ";
-		  G4cerr <<  "in the same host" << G4endl; 
+		  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+		    G4cout << "*** GEANT4 is connected to FukuiRenderer DAWN ";
+		    G4cout <<  "in the same host" << G4endl; 
+		  }
 		}
 
Index: trunk/source/visualization/FukuiRenderer/src/G4FukuiRendererSceneHandler.cc
===================================================================
--- trunk/source/visualization/FukuiRenderer/src/G4FukuiRendererSceneHandler.cc	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/src/G4FukuiRendererSceneHandler.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4FukuiRendererSceneHandler.cc,v 1.14 2006/06/29 21:17:00 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4FukuiRendererSceneHandler.cc,v 1.15 2010/11/11 01:13:42 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
@@ -46,4 +46,5 @@
 #include <string.h>
 #include "globals.hh"
+#include "G4VisManager.hh"
 #include "G4FRConst.hh"
 #include "G4FukuiRenderer.hh"
@@ -125,5 +126,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** ~G4FukuiRendererSceneHandler" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** ~G4FukuiRendererSceneHandler" << G4endl;
 #endif 
   ClearStore (); // clear current scene
@@ -137,5 +139,6 @@
 	{
 #if defined DEBUG_FR_SCENE
-	  G4cerr << "***** G4FukuiRendererSceneHandler::FRBeginModeling (called & started)" << G4endl;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	    G4cout << "***** G4FukuiRendererSceneHandler::FRBeginModeling (called & started)" << G4endl;
 #endif
 
@@ -173,5 +176,6 @@
 	  //   !SetCamera
 #if defined DEBUG_FR_SCENE
-		G4cerr << "*****   (!SetCamera in FRBeginModeling())" << G4endl;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "*****   (!SetCamera in FRBeginModeling())" << G4endl;
 #endif
 	  SendStr( FR_SET_CAMERA );
@@ -180,5 +184,6 @@
 	  //   !OpenDevice
 #if defined DEBUG_FR_SCENE
-		G4cerr << "*****   (!OpenDevice in FRBeginModeling())" << G4endl;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "*****   (!OpenDevice in FRBeginModeling())" << G4endl;
 #endif
 	  SendStr( FR_OPEN_DEVICE      );
@@ -187,5 +192,6 @@
 	  //   !BeginModeling
 #if defined DEBUG_FR_SCENE
-	  G4cerr << "*****   (!BeginModeling in FRBeginModeling())" << G4endl;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	  G4cout << "*****   (!BeginModeling in FRBeginModeling())" << G4endl;
 #endif
 	  SendStr( FR_BEGIN_MODELING );  FRflag_in_modeling = true ;
Index: trunk/source/visualization/FukuiRenderer/src/G4FukuiRendererViewer.cc
===================================================================
--- trunk/source/visualization/FukuiRenderer/src/G4FukuiRendererViewer.cc	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/src/G4FukuiRendererViewer.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4FukuiRendererViewer.cc,v 1.11 2006/06/29 21:17:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4FukuiRendererViewer.cc,v 1.12 2010/11/11 01:13:42 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
@@ -47,4 +47,5 @@
 #include <assert.h>
 
+#include "G4VisManager.hh"
 #include "G4Scene.hh"
 #include "G4Vector3D.hh"
@@ -76,5 +77,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4FukuiRendererViewer::SetView(): No effects" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** G4FukuiRendererViewer::SetView(): No effects" << G4endl;
 #endif 
 // Do nothing, since DAWN is running as a different process.
@@ -87,5 +89,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4FukuiRendererViewer::ClearView (): No effects " << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** G4FukuiRendererViewer::ClearView (): No effects " << G4endl;
 #endif
 
@@ -97,5 +100,6 @@
 {
 #if defined DEBUG_FR_VIEW
-	G4cerr << "***** G4FukuiRendererViewer::DrawView () " << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** G4FukuiRendererViewer::DrawView () " << G4endl;
 #endif
 
@@ -116,5 +120,6 @@
 {
 #if defined DEBUG_FR_VIEW
-	G4cerr << "***** G4FukuiRendererViewer::ShowView () " << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** G4FukuiRendererViewer::ShowView () " << G4endl;
 #endif
 
@@ -137,10 +142,12 @@
 {
 #if defined DEBUG_FR_VIEW
-	G4cerr << "***** G4FukuiRendererViewer::Wait () : Begin" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** G4FukuiRendererViewer::Wait () : Begin" << G4endl;
 #endif
   fSceneHandler.SendStr    ( FR_WAIT );
   fSceneHandler.GetPrimDest().WaitSendBack( FR_WAIT );
 #if defined DEBUG_FR_VIEW
-	G4cerr << "***** G4FukuiRendererViewer::Wait () : end" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** G4FukuiRendererViewer::Wait () : end" << G4endl;
 #endif
 
@@ -153,5 +160,6 @@
 {
 #if defined DEBUG_FR_VIEW
-	G4cerr << "***** G4FukuiRendererViewer::SendDevice() " << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** G4FukuiRendererViewer::SendDevice() " << G4endl;
 #endif
 
@@ -168,5 +176,6 @@
 {
 #if defined DEBUG_FR_VIEW
-	G4cerr << "***** G4FukuiRendererViewer::SendDrawingStyle() " << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** G4FukuiRendererViewer::SendDrawingStyle() " << G4endl;
 #endif
 
@@ -201,5 +210,6 @@
 
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4FukuiRendererViewer::SendViewParameters()" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** G4FukuiRendererViewer::SendViewParameters()" << G4endl;
 #endif 
 
@@ -229,6 +239,8 @@
 
 	if ( camera_distance < radius ) { 
-		G4cerr << "WARNING from FukuiRenderer (DAWN) driver:" << G4endl;
-		G4cerr << "  Camera cannot enter inside objects"      << G4endl;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+		G4cout << "WARNING from FukuiRenderer (DAWN) driver:" << G4endl;
+		G4cout << "  Camera cannot enter inside objects"      << G4endl;
+	  }
 		camera_distance = radius ; 
 	}
Index: trunk/source/visualization/HepRep/CVS/Entries
===================================================================
--- trunk/source/visualization/HepRep/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/HepRep/CVS/Entries	(revision 1347)
@@ -3,2 +3,4 @@
 /CMakeLists.txt/1.1/Wed Sep 29 19:11:49 2010//Tgeant4-09-04-ref-00
 /sources.cmake/1.2/Thu Sep 30 13:50:34 2010//Tgeant4-09-04-ref-00
+/History/1.136/Sun Nov  7 22:29:30 2010//Tgeant4-09-04-ref-00
+/README/1.23/Fri Nov 16 20:29:04 2007//Tgeant4-09-04-ref-00
Index: trunk/source/visualization/HepRep/History
===================================================================
--- trunk/source/visualization/HepRep/History	(revision 1346)
+++ trunk/source/visualization/HepRep/History	(revision 1347)
@@ -1,3 +1,3 @@
-.$Id: History,v 1.135 2010/06/21 04:43:07 perl Exp $
+.$Id: History,v 1.136 2010/11/07 22:29:30 perl Exp $
 -------------------------------------------------------------------
 
@@ -20,4 +20,7 @@
 History file for visualization/HepRep sub-category
 --------------------------------------------------
+
+7th November 2010  Joseph Perl  (vis-HepRep-V09-03-04)
+- G4HepRepFileSceneHandler.hh: Fix coverity warning about uninitialized variables. Turns out they were unneeded.
 
 20th June 2010  Joseph Perl  (vis-HepRep-V09-03-03)
Index: trunk/source/visualization/HepRep/include/CVS/Entries
===================================================================
--- trunk/source/visualization/HepRep/include/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/HepRep/include/CVS/Entries	(revision 1347)
@@ -1,2 +1,11 @@
 D/HEPREP////
 D/cheprep////
+/G4HepRep.hh/1.18/Mon Nov 23 05:42:28 2009//Tgeant4-09-04-ref-00
+/G4HepRepFile.hh/1.8/Thu Jun 29 21:17:06 2006//Tgeant4-09-04-ref-00
+/G4HepRepFileSceneHandler.hh/1.33/Sun Nov  7 22:29:30 2010//Tgeant4-09-04-ref-00
+/G4HepRepFileViewer.hh/1.9/Thu Jun 29 21:17:10 2006//Tgeant4-09-04-ref-00
+/G4HepRepFileXMLWriter.hh/1.2/Thu Jun 29 21:17:12 2006//Tgeant4-09-04-ref-00
+/G4HepRepMessenger.hh/1.9/Sat Jun  5 06:25:03 2010//Tgeant4-09-04-ref-00
+/G4HepRepSceneHandler.hh/1.45/Sun May 30 10:28:02 2010//Tgeant4-09-04-ref-00
+/G4HepRepViewer.hh/1.19/Mon Nov 23 05:42:28 2009//Tgeant4-09-04-ref-00
+/README/1.5/Fri May 13 14:57:26 2005//Tgeant4-09-04-ref-00
Index: trunk/source/visualization/HepRep/include/G4HepRep.hh
===================================================================
--- trunk/source/visualization/HepRep/include/G4HepRep.hh	(revision 1346)
+++ trunk/source/visualization/HepRep/include/G4HepRep.hh	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HepRep.hh,v 1.18 2009/11/23 05:42:28 perl Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/visualization/HepRep/include/G4HepRepFile.hh
===================================================================
--- trunk/source/visualization/HepRep/include/G4HepRepFile.hh	(revision 1346)
+++ trunk/source/visualization/HepRep/include/G4HepRepFile.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HepRepFile.hh,v 1.8 2006/06/29 21:17:06 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/HepRep/include/G4HepRepFileSceneHandler.hh
===================================================================
--- trunk/source/visualization/HepRep/include/G4HepRepFileSceneHandler.hh	(revision 1346)
+++ trunk/source/visualization/HepRep/include/G4HepRepFileSceneHandler.hh	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4HepRepFileSceneHandler.hh,v 1.32 2010/05/30 10:28:02 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4HepRepFileSceneHandler.hh,v 1.33 2010/11/07 22:29:30 perl Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
@@ -144,8 +144,4 @@
   void CheckFileOpen();
   int fileCounter;
-  char fileDir[256]; 
-  char fileName[256];
-  G4bool fileOverwrite;
-  G4bool cullInvisibleObjects;
   G4bool haveVisible;
   G4bool inPrimitives2D;
@@ -154,5 +150,4 @@
   G4bool drawingTraj;
   G4bool doneInitTraj;
-  G4bool drawTrajPts;
   G4bool drawingHit;
   G4bool doneInitHit;
Index: trunk/source/visualization/HepRep/include/G4HepRepFileViewer.hh
===================================================================
--- trunk/source/visualization/HepRep/include/G4HepRepFileViewer.hh	(revision 1346)
+++ trunk/source/visualization/HepRep/include/G4HepRepFileViewer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HepRepFileViewer.hh,v 1.9 2006/06/29 21:17:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/HepRep/include/G4HepRepMessenger.hh
===================================================================
--- trunk/source/visualization/HepRep/include/G4HepRepMessenger.hh	(revision 1346)
+++ trunk/source/visualization/HepRep/include/G4HepRepMessenger.hh	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HepRepMessenger.hh,v 1.9 2010/06/05 06:25:03 perl Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/visualization/HepRep/include/G4HepRepSceneHandler.hh
===================================================================
--- trunk/source/visualization/HepRep/include/G4HepRepSceneHandler.hh	(revision 1346)
+++ trunk/source/visualization/HepRep/include/G4HepRepSceneHandler.hh	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HepRepSceneHandler.hh,v 1.45 2010/05/30 10:28:02 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/visualization/HepRep/include/G4HepRepViewer.hh
===================================================================
--- trunk/source/visualization/HepRep/include/G4HepRepViewer.hh	(revision 1346)
+++ trunk/source/visualization/HepRep/include/G4HepRepViewer.hh	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HepRepViewer.hh,v 1.19 2009/11/23 05:42:28 perl Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/visualization/HepRep/include/HEPREP/CVS/Entries
===================================================================
--- trunk/source/visualization/HepRep/include/HEPREP/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/HepRep/include/HEPREP/CVS/Entries	(revision 1347)
@@ -1,1 +1,25 @@
+/HasHepRep.h/1.4/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRep.h/1.11/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepAction.h/1.7/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepAttDef.h/1.7/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepAttValue.h/1.7/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepAttribute.h/1.8/Fri May 13 14:57:26 2005//Tgeant4-09-04-ref-00
+/HepRepAttributeListener.h/1.4/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepConstants.h/1.7/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepDefinition.h/1.8/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepFactory.h/1.8/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepFrameListener.h/1.3/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepInstance.h/1.9/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepInstanceTree.h/1.9/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepIterator.h/1.9/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepPoint.h/1.9/Wed Jun 28 14:00:15 2006//Tgeant4-09-04-ref-00
+/HepRepReader.h/1.4/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepSelectFilter.h/1.7/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepTreeID.h/1.8/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepType.h/1.10/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepTypeTree.h/1.9/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepViewer.h/1.3/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/HepRepWriter.h/1.10/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
+/Types.h/1.1/Fri May 13 14:57:26 2005//Tgeant4-09-04-ref-00
+/freehep-heprep.version/1.1/Wed May 25 23:21:59 2005//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/HepRep/include/cheprep/CVS/Entries
===================================================================
--- trunk/source/visualization/HepRep/include/cheprep/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/HepRep/include/cheprep/CVS/Entries	(revision 1347)
@@ -1,1 +1,28 @@
+/AbstractXMLWriter.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/BHepRepWriter.h/1.9/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRep.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepAction.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepAttDef.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepAttValue.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepAttribute.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepDefinition.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepFactory.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepInstance.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepInstanceTree.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepPoint.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepTreeID.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepType.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepTypeTree.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DeflateOutputStreamBuffer.h/1.6/Fri May  8 09:26:58 2009//Tgeant4-09-04-ref-00
+/GZIPOutputStream.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/GZIPOutputStreamBuffer.h/1.4/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/IndentPrintWriter.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/XMLHepRepFactory.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/XMLHepRepWriter.h/1.4/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/XMLWriter.h/1.3/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/ZipEntry.h/1.9/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/ZipOutputStream.h/1.9/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/ZipOutputStreamBuffer.h/1.9/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/config.h/1.4/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/freehep-cheprep.version/1.2/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/HepRep/src/CVS/Entries
===================================================================
--- trunk/source/visualization/HepRep/src/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/HepRep/src/CVS/Entries	(revision 1347)
@@ -1,1 +1,33 @@
+/BHepRepWriter.cc/1.9/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRep.cc/1.9/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepAction.cc/1.8/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepAttDef.cc/1.8/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepAttValue.cc/1.10/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepAttribute.cc/1.8/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepDefinition.cc/1.8/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepFactory.cc/1.6/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepInstance.cc/1.7/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepInstanceTree.cc/1.11/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepPoint.cc/1.5/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepTreeID.cc/1.9/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepType.cc/1.8/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DefaultHepRepTypeTree.cc/1.7/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/DeflateOutputStreamBuffer.cc/1.6/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/G4HepRep.cc/1.23/Mon Nov 23 05:42:28 2009//Tgeant4-09-04-ref-00
+/G4HepRepFile.cc/1.12/Mon Nov 23 05:42:28 2009//Tgeant4-09-04-ref-00
+/G4HepRepFileSceneHandler.cc/1.69/Sat Jun  5 06:25:03 2010//Tgeant4-09-04-ref-00
+/G4HepRepFileViewer.cc/1.15/Thu Jun 29 21:17:26 2006//Tgeant4-09-04-ref-00
+/G4HepRepFileXMLWriter.cc/1.3/Thu Jun 29 21:17:28 2006//Tgeant4-09-04-ref-00
+/G4HepRepMessenger.cc/1.13/Mon Jun 21 04:43:07 2010//Tgeant4-09-04-ref-00
+/G4HepRepSceneHandler.cc/1.102/Mon Nov 23 05:42:28 2009//Tgeant4-09-04-ref-00
+/G4HepRepViewer.cc/1.27/Mon Nov 23 05:42:28 2009//Tgeant4-09-04-ref-00
+/GZIPOutputStream.cc/1.4/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/GZIPOutputStreamBuffer.cc/1.4/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/IndentPrintWriter.cc/1.14/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/README/1.6/Fri May 13 15:00:05 2005//Tgeant4-09-04-ref-00
+/XMLHepRepFactory.cc/1.5/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/XMLHepRepWriter.cc/1.15/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/XMLWriter.cc/1.12/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/ZipOutputStream.cc/1.9/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
+/ZipOutputStreamBuffer.cc/1.9/Thu Jun  2 21:28:45 2005//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/HepRep/src/G4HepRep.cc
===================================================================
--- trunk/source/visualization/HepRep/src/G4HepRep.cc	(revision 1346)
+++ trunk/source/visualization/HepRep/src/G4HepRep.cc	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HepRep.cc,v 1.23 2009/11/23 05:42:28 perl Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/visualization/HepRep/src/G4HepRepFile.cc
===================================================================
--- trunk/source/visualization/HepRep/src/G4HepRepFile.cc	(revision 1346)
+++ trunk/source/visualization/HepRep/src/G4HepRepFile.cc	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HepRepFile.cc,v 1.12 2009/11/23 05:42:28 perl Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/HepRep/src/G4HepRepFileSceneHandler.cc
===================================================================
--- trunk/source/visualization/HepRep/src/G4HepRepFileSceneHandler.cc	(revision 1346)
+++ trunk/source/visualization/HepRep/src/G4HepRepFileSceneHandler.cc	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HepRepFileSceneHandler.cc,v 1.69 2010/06/05 06:25:03 perl Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 //
Index: trunk/source/visualization/HepRep/src/G4HepRepFileViewer.cc
===================================================================
--- trunk/source/visualization/HepRep/src/G4HepRepFileViewer.cc	(revision 1346)
+++ trunk/source/visualization/HepRep/src/G4HepRepFileViewer.cc	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HepRepFileViewer.cc,v 1.15 2006/06/29 21:17:26 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 
 #include "G4HepRepFileViewer.hh"
Index: trunk/source/visualization/HepRep/src/G4HepRepMessenger.cc
===================================================================
--- trunk/source/visualization/HepRep/src/G4HepRepMessenger.cc	(revision 1346)
+++ trunk/source/visualization/HepRep/src/G4HepRepMessenger.cc	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HepRepMessenger.cc,v 1.13 2010/06/21 04:43:07 perl Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 #include "G4HepRepMessenger.hh"
Index: trunk/source/visualization/HepRep/src/G4HepRepSceneHandler.cc
===================================================================
--- trunk/source/visualization/HepRep/src/G4HepRepSceneHandler.cc	(revision 1346)
+++ trunk/source/visualization/HepRep/src/G4HepRepSceneHandler.cc	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HepRepSceneHandler.cc,v 1.102 2009/11/23 05:42:28 perl Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
Index: trunk/source/visualization/HepRep/src/G4HepRepViewer.cc
===================================================================
--- trunk/source/visualization/HepRep/src/G4HepRepViewer.cc	(revision 1346)
+++ trunk/source/visualization/HepRep/src/G4HepRepViewer.cc	(revision 1347)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HepRepViewer.cc,v 1.27 2009/11/23 05:42:28 perl Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
